Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.drm.model
Class Privilege

    java.lang.Object
      org.deegree.security.drm.model.Privilege

    public class Privilege

extends Object

Default implementation of privilege-objects.

Version:
  $Revision: 18195 $
Author:
  Markus Schneider

Field Summary
`static Privilege` | `ADDGROUP`
`static Privilege` | `ADDOBJECT`
`static Privilege` | `ADDROLE`
`static Privilege` | `ADDUSER`
`static Privilege` | `WRITE`

Constructor Summary
`Privilege(int id, String name)` Creates a new `Privilege`-instance.

Method Summary
`boolean` | `equals(Object that)` Indicates whether some other privilege is "equal to" this one.
`int` | `getID()` Returns the unique identifier of this privilege.
`String` | `getName()` Returns the name of this privilege.
`int` | `hashCode()` Returns a hash code value for the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WRITE

    public static final Privilege WRITE

### ADDUSER

    public static final Privilege ADDUSER

### ADDGROUP

    public static final Privilege ADDGROUP

### ADDROLE

    public static final Privilege ADDROLE

### ADDOBJECT

    public static final Privilege ADDOBJECT

Constructor Detail

### Privilege

    public Privilege(int id,
                     String name)

  Creates a new `Privilege`-instance.

  Parameters:
    `id` -
    `name` -

Method Detail

### getID

    public int getID()

  Returns the unique identifier of this privilege.

### getName

    public String getName()

  Returns the name of this privilege.

### equals

    public boolean equals(Object that)

  Indicates whether some other privilege is "equal to" this one.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `that` -

### hashCode

    public int hashCode()

  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org